# Class PropertyValues

- Defined in propertyvalues.ts:81

##### Index

### Constructors

constructor

### Properties

MAX_VALUES_COUNT

### Methods

emitPropertyValue
onPropertyValues

## Constructors

### constructor

- new PropertyValues(): PropertyValues

  #### Returns PropertyValues

## Properties

### `Static` `Readonly` MAX_VALUES_COUNT

MAX_VALUES_COUNT: 1000

- Defined in propertyvalues.ts:87

## Methods

### emitPropertyValue

- emitPropertyValue(pv: PropertyValue): void

  #### Parameters

  - pv: PropertyValue

  #### Returns void

  - Defined in propertyvalues.ts:93

### onPropertyValues

- onPropertyValues(propName: string, cb: PropertyValuesCallback): () => void

  #### Parameters

  - propName: string
  - cb: PropertyValuesCallback

  #### Returns () => void

  - Defined in propertyvalues.ts:89